package state51::Logger::Event::Generic;
use Moose;
use MooseX::Storage;
use namespace::clean -except => 'meta';

extends 'state51::Logger::Event';

has message => (
    is => 'ro',
    required => 1,
);

sub stringify { shift->message }

__PACKAGE__->meta->make_immutable;
