package state51::Logger::Event::LockClaimed;
use Moose;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Lock';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Lock '%s' claimed},
    attributes => [qw/ name /],
};

__PACKAGE__->meta->make_immutable;

