package state51::Logger::Event::Shorty;
use Moose;
use MooseX::Types::Moose qw/ Str /;

extends 'state51::Logger::Event';

has shorty_application => (
    isa => Str,
    is => 'ro',
    required => 1,
);

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Shorty "%s"},
    attributes => [qw/ shorty_application /],
};

__PACKAGE__->meta->make_immutable;
1;

