package state51::Logger::Event::Task::Completed;
use Moose;
use namespace::autoclean;

extends 'state51::Logger::Event::Task';

with 'state51::Logger::Event::Role::JobExecution';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Task %s completed},
    attributes => [qw/ task_id /],
};

__PACKAGE__->meta->make_immutable;

