package state51::Logger::Event::CephFail;
use Moose;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::Ceph';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Ceph access from %s of %s failed.},
    attributes => [qw/ hostname key /],
};

__PACKAGE__->meta->make_immutable;
1;

