package state51::Logger::Event::ImportFeed::ProcessOneBatch;
use Moose;
use MooseX::Types::Moose qw/ HashRef Int Undef Str /;
use namespace::clean -except => 'meta';

extends 'state51::Logger::Event';

has [qw/ batch_path batch_id packagehandler_class post_batch_fixup_class pre_batch_check_class /] => (
    is => 'ro',
    isa => Str,
    required => 1,
);

has [qw/ asset_owner asset_owner_name/] => (
    is => 'ro',
    isa => Undef|Str,
);

has [qw/packagehandler_config post_batch_fixup_config pre_batch_check_config/] => (
    isa => HashRef,
    is => 'ro',
    required => 1,
);

1;

