package state51::Logger::Event::Role::JobExecution;
use Moose::Role;
use MooseX::Types::Moose qw/ Object Str Undef /;
use namespace::autoclean;

has job => (
    is => 'ro',
    isa => Object,
    required => 1,
);

has job_correlation_id => (
    is => 'ro',
    isa => Undef|Str,
    documentation => 'This is the correlation id that was in the props of the message which kicked the job off',
);

1;

