package state51::Logger::Event::Unicorn::FailedHealthCheck;
use Moose;
use MooseX::Types::Moose qw/ Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::Unicorn';

has error_message => ( isa => Str, required => 0, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => qq{HealthCheck failed: %s},
    attributes    => [qw/ error_message /],
};

__PACKAGE__->meta->make_immutable;
